Bug 148984 - Description of return value of nice() doesn't match behavior
Description of return value of nice() doesn't match behavior
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Ryska
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-17 14:03 EST by Terry Griffin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: man-pages-2.05-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-04 10:54:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Program to show return values of nice() (224 bytes, text/plain)
2005-02-17 14:06 EST, Terry Griffin
no flags Details

  None (edit)
Description Terry Griffin 2005-02-17 14:03:02 EST
Description of problem:

The return value of nice() system call is described incorrectly
in the nice(2) man page. The man page says it returns zero
on success when instead it returns the absolute nice level.
That is if you start out at zero and do nice(1), the return
value is one. If you do another nice(1) the return value
is two.

Version-Release number of selected component (if applicable):

1.67-3

How reproducible:

100%

Steps to Reproduce:
1. Run sample program (to be attached)
2. Compare return values to man page.
  
Actual results:

Man page and output of sample program don't agree.

Expected results:

Man page and output of sample program should agree.

Additional info:
Comment 1 Terry Griffin 2005-02-17 14:06:38 EST
Created attachment 111175 [details]
Program to show return values of nice()

Note You need to log in before you can comment on or make changes to this bug.